%define major		0
%define api		0.12
%define gi_major	0.12

%define oname		champlain
%define libname		%mklibname %{oname} %{api} %{major}
%define libnamegtk	%mklibname %{oname}-gtk %{api} %{major}

%define girname		%mklibname %{oname}-gir %{gi_major}
%define girnamegtk	%mklibname %{oname}-gtk-gir %{gi_major}

%define libnamedev	%mklibname -d %{oname}
%define libnamedevgtk	%mklibname -d %{oname}-gtk

Summary:	Map view for Clutter
Name:		libchamplain
Version:	0.12.0
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://projects.gnome.org/libchamplain/
Source0:	http://download.gnome.org/sources/libchamplain/0.12/%{name}-%{version}.tar.xz
BuildRequires:	chrpath
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gdk-3.0)
BuildRequires:	pkgconfig(clutter-1.0)
BuildRequires:	pkgconfig(clutter-gtk-1.0)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(gtk-doc)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libsoup-gnome-2.4)
BuildRequires:	pkgconfig(memphis-0.2)
BuildRequires:	vala-tools


%description
Libchamplain is a C library aimed to provide a ClutterActor to display
rasterized maps.

#--------------------------------------------------------------------

%package -n %libname
Summary:	Development files for %{name}
Group:		System/Libraries

%description -n %{libname}
Libchamplain is a C library aimed to provide a ClutterActor to display
rasterized maps.

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/lib%{oname}-%{api}.so.%{major}*
#--------------------------------------------------------------------
%{_libdir}/girepository-1.0/Champlain-%{gi_major}.typelib


%package -n %{libnamegtk}
Summary:	Development files for %{name}
Group:		System/Libraries

%description -n %{libnamegtk}
Libchamplain-gtk is a library providing a GtkWidget to embed %{name}
into Gtk+ applications.

%files -n %{libnamegtk}
%defattr(-,root,root,-)
%{_libdir}/lib%{oname}-gtk-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/GtkChamplain-%{gi_major}.typelib
#--------------------------------------------------------------------

%package -n %{libnamedev}
Summary:	Development files for %{name}
Group:		Development/Libraries 
Provides:	%{oname}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{libnamedev}
This package contains development files for %{name}.

%files -n %libnamedev
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/libchamplain
%{_datadir}/gir-1.0/Champlain-%{gi_major}.gir
%{_libdir}/%{name}-%{api}.so
%{_libdir}/pkgconfig/%{oname}-%{api}.pc
%{_libdir}/pkgconfig/%{oname}-memphis-%{api}.pc
%{_includedir}/%{name}-%{api}

#--------------------------------------------------------------------

%package -n %{libnamedevgtk}
Summary:	Development files for %{name}-gtk
Group:		Development/Libraries
Provides:	%{oname}-gtk-devel = %{version}-%{release}
Provides:	%{name}-gtk-devel = %{version}-%{release}
Requires:	%{libnamegtk} = %{version}-%{release}

%description -n %{libnamedevgtk}
This package contains development files for %{name}-gtk.

%files -n %libnamedevgtk
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/libchamplain-gtk
%{_datadir}/gir-1.0/GtkChamplain-%{gi_major}.gir
%{_libdir}/%{name}-gtk-%{api}.so
%{_libdir}/pkgconfig/%{oname}-gtk-%{api}.pc
%{_includedir}/%{name}-gtk-%{api}

#--------------------------------------------------------------------

%package vala
Summary:	Vala bindings for %{name}
Group:		Development/Other
Requires:	%{libnamedev} = %{version}-%{release}
Requires:	%{libnamedevgtk} = %{version}-%{release}
Requires:	vala

%description vala
This package contains vala bindings for development %{name}.

%files vala
%defattr(-,root,root,-)
%{_datadir}/vala/vapi/%{oname}-%{api}.vapi
%{_datadir}/vala/vapi/%{oname}-gtk-%{api}.vapi


#--------------------------------------------------------------------

%package demos
Summary:	Demo apps for %{name}
Group:		System/Libraries
Requires:	%{libnamedev} = %{version}-%{release}
Requires:	%{libnamedevgtk} = %{version}-%{release}
BuildArch:	noarch

%description demos
This package contains demos for development using %{name}.

%files demos
%defattr(-,root,root,-)
%doc demos/*.c
%doc demos/*.h
%doc demos/*.vala
%doc demos/*.js
%doc demos/Makefile*
%doc demos/*.py
%doc demos/*.osm

#--------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x --disable-debug \
	   --disable-silent-rules \
	   --disable-static \
           --enable-gtk \
	   --enable-gtk-doc \
	   --enable-introspection=yes \
	   --enable-vala=yes \

# Omit unused direct shared library dependencies.
sed --in-place --expression 's! -shared ! -Wl,--as-needed\0!g' libtool

%make

%install
%makeinstall_std

find %{buildroot} -type f -name "*.la" -delete

# Remove rpaths.
chrpath --delete %{buildroot}%{_libdir}/%{name}-gtk-*.so.*


%changelog
* Tue Sep 27 2011 Texstar <texstar at gmail.com> 0.12.0-1pclos2011
- 0.12.0
